package de.intevation.flys.client.client.ui.map;

import com.smartgwt.client.widgets.Window;

import de.intevation.flys.client.shared.model.Collection;

public class MapPrintSettingsWindow extends Window {

    protected MapPrintSettingsPanel panel;

    public MapPrintSettingsWindow(Collection collection, MapToolbar mapToolbar) {
        setWidth(300);
        setHeight(200);

        // TODO: i18n
        setTitle("PDF-Druckeinstellungen");

        this.panel = new MapPrintSettingsPanel(collection, mapToolbar, this);
        this.panel.setPadding(20);
        addItem(this.panel);

        setIsModal(true);
        setShowModalMask(true);
    }
}
